Skip to main content
GET
/
v2
/
giftcards
/
customer
/
consolidatable-merchants
Getcustomerconsolidatablemerchants
curl --request GET \
  --url https://api.loyalty.dog/v2/giftcards/customer/consolidatable-merchants \
  --header 'Authorization: Bearer <token>'
[
  {
    "merchantId": "5eb7cf5a86d9755df3a6c593",
    "merchantName": "<string>",
    "cardCount": 123,
    "totalBalance": "<string>"
  }
]

Authorizations

Authorization
string
header
required

JWT access token obtained from POST /v2/token.

Headers

X-Eposn-Customer-Token
string | null
X-Eposn-Merchant-Token
string | null

Query Parameters

programId
string | null
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

cardId
string | null
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Response

Successful Response

merchantId
string
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

merchantName
string
required
cardCount
integer
required
totalBalance
string
required